> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Activations and withdrawals state and status

This endpoint returns data on the activation and exit activity of a specific pre-materialized view (e.g. operator, deposit address etc).

Here's how to interpret the inputs required to operate it 👇

| Parameter     | Context                                                                                                                                                                                                                                                                                                                           |
| :------------ | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `operatorId`  | The name of the entity in question. This could be deposit address, a node operator, or a pool. Please see [our docs](https://docs.rated.network/documentation/methodologies/ethereum/aggregating-validator-indices) to get a better understanding of how we aggregate validators.                                                 |
| `stakeAction` | Direction of flow. This can be either of `activation` or `exit`.                                                                                                                                                                                                                                                                  |
| `window`      | The time window of aggregation. You might ask for `1d`, `7d`, `30d` or `All-time` data.                                                                                                                                                                                                                                           |
| `idType`      | The type of entity class you would like returned. You might ask for `pool`, `poolShare`, `nodeOperator`, `depositAddress`, or `withdrawalAddress`. Note: it is optional and can be inferred automatically for pools, pool shares and node operators. It defaults to `depositAddress` if it is missing and an address is provided. |


## OpenAPI

````yaml get /v0/eth/operators/{operator_id}/stakeMovement
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/eth/operators/{operator_id}/stakeMovement:
    get:
      tags:
        - Operators
      summary: Get Activations Exits Aggregate
      operationId: >-
        get_activations_exits_aggregate_v0_eth_operators__operator_id__stakeMovement_get
      parameters:
        - name: operator_id
          in: path
          required: true
          schema:
            type: string
            title: Operator Id
        - name: idType
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/IdType'
        - name: stakeAction
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/StakeAction'
            default: activation
        - name: window
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/TimeWindow'
            default: 1d
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ActivationsExitsAggregate'
                title: >-
                  Response Get Activations Exits Aggregate V0 Eth Operators 
                  Operator Id  Stakemovement Get
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    IdType:
      type: string
      enum:
        - depositAddress
        - withdrawalAddress
        - nodeOperator
        - pool
        - poolShare
        - entity
        - validator
        - privateSet
      title: IdType
    StakeAction:
      type: string
      enum:
        - activation
        - exit
      title: StakeAction
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    ActivationsExitsAggregate:
      properties:
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        id:
          type: string
          title: Id
        idType:
          $ref: '#/components/schemas/IdType'
        stakeAction:
          $ref: '#/components/schemas/StakeAction'
        validatorCount:
          type: integer
          minimum: 0
          title: Validatorcount
        avgEpochsToAction:
          type: integer
          minimum: 0
          title: Avgepochstoaction
        avgMinutesToAction:
          type: number
          minimum: 0
          title: Avgminutestoaction
        amountGwei:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Amountgwei
      type: object
      required:
        - timeWindow
        - id
        - idType
        - stakeAction
        - validatorCount
        - avgEpochsToAction
        - avgMinutesToAction
        - amountGwei
      title: ActivationsExitsAggregate
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````